%define module unionfs
%define version 1.3
%define rel 4
%define cvs 0
#20060117-2031
%if %{cvs}
%define cvsrel %(echo %{cvs} | sed -e 's/-.*//')
%define release %mkrel 1.%{cvsrel}.%{rel}
%define fversion %{cvs}
%else
%define release	%mkrel %{rel}
%define fversion %{version}
%endif

Summary: A Stackable Unification File System
Name: %{module}
Version: %{version}
Release: %{release}
%if %{cvs}
Source0: ftp://ftp.fsl.cs.sunysb.edu/pub/unionfs/snapshots/%{name}-%{fversion}.tar.bz2
%else
Source0: ftp://ftp.fsl.cs.sunysb.edu/pub/unionfs/%{name}-%{fversion}.tar.bz2
%endif
Source1: unionfs-dkms.conf
License: GPL
Group: System/Kernel and hardware
URL: http://www.fsl.cs.sunysb.edu/project-unionfs.html
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildRequires: e2fsprogs-devel

%description
Unionfs is a Stackable Unification File System.
This project builds a stackable unification file system, which can
appear to merge the contents of several directories (branches), while
keeping their physical content separate. Unionfs is useful for unified
source tree management, merged contents of split CD-ROM, merged
separate software package directories, data grids, and more. Unionfs
allows any mix of read-only and read-write branches, as well as
insertion and deletion of branches anywhere in the fan-out. To
maintain unix semantics, Unionfs handles elimination of duplicates,
partial-error conditions, and more. Unionfs is part of the larger FiST
project.

%package -n dkms-%{name}
Group: System/Kernel and hardware
Summary: Dkms module for the unionfs module
Requires(post): dkms
Requires(preun): dkms

%description -n dkms-%{name}
Unionfs is a Stackable Unification File System.
This package contains the kernel module.

%prep
%setup -q -n %{name}-%{fversion}
perl -p -e 's/\@VERSION@/%{version}/' < %{SOURCE1} > dkms.conf

%build

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT%{_mandir}/man4
install man/%{name}.4 $RPM_BUILD_ROOT%{_mandir}/man4
mkdir -p $RPM_BUILD_ROOT/usr/src/%{module}-%{version}.%{release}/
install -m 644 dkms.conf $RPM_BUILD_ROOT/usr/src/%{module}-%{version}.%{release}/dkms.conf
tar c . | tar x -C $RPM_BUILD_ROOT/usr/src/%{module}-%{version}.%{release}/

%clean
rm -rf $RPM_BUILD_ROOT

%files -n dkms-%{name}
%defattr(-,root,root)
%attr(0755,root,root) /usr/src/%{module}-%{version}.%{release}/
%{_mandir}/man4/%{name}.4*

%post -n dkms-%{name}
set -x
/usr/sbin/dkms --rpm_safe_upgrade add -m %{module} -v %{version}.%{release}
/usr/sbin/dkms --rpm_safe_upgrade build -m %{module} -v %{version}.%{release}
/usr/sbin/dkms --rpm_safe_upgrade install -m %{module} -v %{version}.%{release}

%preun -n dkms-%{name}
set -x
/usr/sbin/dkms --rpm_safe_upgrade remove -m %{module} -v %{version}.%{release} --all




%changelog
* Tue Oct 02 2007 Olivier Blin <oblin@mandriva.com> 1.3-4mdv2008.0
+ Revision: 94490
- update to new version


* Sun Feb 04 2007 Olivier Blin <oblin@mandriva.com> 1.3-3mdv2007.0
+ Revision: 116122
- do not conflict with unionfs-tools anymore

  + Bogdano Arendartchuk <bogdano@mandriva.com>
    - moved dkms post/postun deps to subpackage

* Mon Nov 13 2006 Olivier Blin <oblin@mandriva.com> 1.3-2mdv2007.1
+ Revision: 83837
- remove hardcoded make command line in dkms config file

* Mon Nov 13 2006 Olivier Blin <oblin@mandriva.com> 1.3-1mdv2007.1
+ Revision: 83806
- 1.3
- remove tools subpackage, it's now in unionfs-utils
- Import unionfs

* Tue May 16 2006 Olivier Blin <oblin@mandriva.com> 1.1.4-1mdk
- New release 1.1.4

* Thu Jan 26 2006 Olivier Blin <oblin@mandriva.com> 1.1.2-1mdk
- 1.1.2

* Thu Jan 19 2006 Olivier Blin <oblin@mandriva.com> 1.1.1-1.20060117.1mdk
- CVS snapshot (20060112)
- buildrequires e2fsprogs-devel
- add missing changelog entry

* Fri Jan 13 2006 Olivier Blin <oblin@mandriva.com> 1.1.1-1.20051124.1mdk
- CVS snapshot (20051124)

* Wed Nov 09 2005 Olivier Blin <oblin@mandriva.com> 1.1.1-1mdk
- initial release

